FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 12-17-2010, 09:34 AM
Petr Pisar
 
Default SWI Prolog 5.10.2 (pl-5.10.2) moves from pl to swipl in rawhide

Hello,

I've upgraded `pl' package to version 5.10.2 in rawhide. Upstream
renamed libraries, directories and pkg-config module from `pl' to
`swipl'. But the upstream tar ball and Fedora package kept name `pl'.

If somebody compiles his code against this one, please update your build
scripts to search for `swipl' instead of `pl'.

-- Petr

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 12-17-2010, 05:02 PM
Joel
 
Default SWI Prolog 5.10.2 (pl-5.10.2) moves from pl to swipl in rawhide

Petr Pisar <ppisar <at> redhat.com> writes:
> I've upgraded `pl' package to version 5.10.2 in rawhide.

Rebuilding the package on F14 I get lots of:

**********************
* Package plunit
**********************
configure: WARNING: unrecognized options: --disable-dependency-tracking

warnings. Is this an issue? Some tests with the built version show it seems to
work just fine.

Note that this seems to fix bug:
https://bugzilla.redhat.com/show_bug.cgi?id=589797

and will fix:

https://bugzilla.redhat.com/show_bug.cgi?id=589795

Will you be pushing this for F14 also?

Joel

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 12-20-2010, 09:06 AM
Petr Pisar
 
Default SWI Prolog 5.10.2 (pl-5.10.2) moves from pl to swipl in rawhide

On 2010-12-17, Joel <jdy@cryregarder.com> wrote:
> Petr Pisar <ppisar <at> redhat.com> writes:
>> I've upgraded `pl' package to version 5.10.2 in rawhide.
>
> Rebuilding the package on F14 I get lots of:
>
> ********************** * Package plunit **********************
> configure: WARNING: unrecognized options:
> --disable-dependency-tracking
>
> warnings. Is this an issue?

This is just an spurious option appended by rpmbuild standard macros.
You can see that in any package configured using %configure macro. It
should not impact the package itself.

> Note that this seems to fix bug:
> https://bugzilla.redhat.com/show_bug.cgi?id=589797
>
Great news. I will look what changed in the future to find fix for older
pl. Or you can do it yourself. It would speed things up.

>
> Will you be pushing this for F14 also?
>
No. There is lot of changes, even the SONAME changed.

-- Petr

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 

Thread Tools




All times are GMT. The time now is 03:03 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org